Bug 133036 - AssertionError on Grails project right click
AssertionError on Grails project right click
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Grails
6.x
All Mac OS X
: P1 (vote)
: 6.x
Assigned To: schmidtm
issues@groovy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 18:13 UTC by martin_adamek
Modified: 2008-10-30 14:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martin_adamek 2008-04-16 18:13:39 UTC
java.lang.AssertionError
	at org.netbeans.modules.groovy.grailsproject.actions.GrailsServerCommandAction.getCustomScripts(GrailsServerCommandAction.java:77)
	at org.netbeans.modules.groovy.grailsproject.actions.GrailsServerCommandAction.<init>(GrailsServerCommandAction.java:58)
	at 
org.netbeans.modules.groovy.grailsproject.ui.GrailsLogicalViewProvider$GrailsLogicalViewRootNode.getAdditionalActions(GrailsLogicalViewProvider.java:26
7)
	at org.netbeans.modules.groovy.grailsproject.ui.GrailsLogicalViewProvider$GrailsLogicalViewRootNode.getActions(GrailsLogicalViewProvider.java:220)
	at org.openide.nodes.FilterNode.getActions(FilterNode.java:733)
	at org.openide.nodes.NodeOp.findActions(NodeOp.java:144)
	at org.openide.explorer.view.TreeView.createPopup(TreeView.java:904)
	at org.openide.explorer.view.TreeView$PopupAdapter.showPopup(TreeView.java:1370)
	at org.openide.awt.MouseUtils$PopupMouseAdapter.maybePopup(MouseUtils.java:182)
	at org.openide.awt.MouseUtils$PopupMouseAdapter.mousePressed(MouseUtils.java:173)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:222)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:221)
	at java.awt.AWTEventMulticaster.mousePressed(AWTEventMulticaster.java:221)
	at java.awt.Component.processMouseEvent(Component.java:5599)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3135)
	at java.awt.Component.processEvent(Component.java:5367)
	at java.awt.Container.processEvent(Container.java:2010)
	at java.awt.Component.dispatchEventImpl(Component.java:4068)
	at java.awt.Container.dispatchEventImpl(Container.java:2068)
	at java.awt.Component.dispatchEvent(Component.java:3903)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4256)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3933)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3866)
	at java.awt.Container.dispatchEventImpl(Container.java:2054)
	at java.awt.Window.dispatchEventImpl(Window.java:1791)
	at java.awt.Component.dispatchEvent(Component.java:3903)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 martin_adamek 2008-04-16 18:26:43 UTC
It is reproducible for 100% on Bookmarks sample, but works fine on some other project.
Comment 2 schmidtm 2008-04-17 12:30:24 UTC
Should be fixed with:

http://hg.netbeans.org/main/contrib/rev/fae4d5c8e58c
Comment 3 Lukas Jungmann 2008-09-29 14:16:29 UTC
this one has gone...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo